<div class="tky-full-wight mat-elevation-z24">
</div>



<div class="container-fluid tky-padding-card text-center"  *ngIf="changeView">
    <h1>Análisis Estádistico 
      <small>by Luis F. García</small>
      <small><button mat-raised-button class="tky-right" (click)="changeView=!changeView">HISTORICO</button></small>
    </h1>
   
    <hr>

    <div class="container-fluid">
        <div class="row tky-full-width justify-content-center">
          <div class="tky-full-width text-center center-text">
              <span><h1>Tipos de Gráficos</h1></span> 
              
              <span class="tky-right">
                  <mat-button-toggle-group #group="matButtonToggleGroup">
                      <mat-button-toggle value="left" (click)="one(0)">
                        Lineal
                      </mat-button-toggle>
                      <mat-button-toggle value="center" (click)="one(1)">
                        Barras
                      </mat-button-toggle>
                      <mat-button-toggle value="right"  (click)="one(2)">
                        Donas
                      </mat-button-toggle>
                      <mat-button-toggle value="justify" (click)="one(3)">
                        Radar
                      </mat-button-toggle>
                      <mat-button-toggle value="justify" (click)="one(4)">
                        Pie
                      </mat-button-toggle>
                    </mat-button-toggle-group>
              </span>
                
          </div>
        
          <div class="tky-padding-card  col col-xs-12 col-md-12 col-lg-12 col-xl-12 tky-full-width">
            <mat-card class="  tky-full-width mat-elevation-z10">
              <mat-card-title class="text-center"> Periodo 2000-2005</mat-card-title>
              <mat-card-content>

                  <app-line-graphic     [case]="1" *ngIf="flags[0]"></app-line-graphic>
                  <app-historic-graphic
                  [case]="1" 
                  *ngIf="flags[1]"
                  [barChartData]="barChartDataCase1"
                  [barChartLabels]="barChartLabelsCase1"
                  [doughnutChartLabels]="doughnutChartLabelsCase1"
                  [doughnutChartData]="doughnutChartDataCase1"
                  >   
                  </app-historic-graphic>

                

                  <app-doughnut-graphic [case]="1" *ngIf="flags[2]"></app-doughnut-graphic>
                  <app-radar-graphic    [case]="1" *ngIf="flags[3]"></app-radar-graphic>
                  <app-pie-graphic      [case]="1" *ngIf="flags[4]"></app-pie-graphic>
      
              </mat-card-content>
              
            </mat-card>

            <mat-card>
                <img mat-card-image src="../../../../assets/imgs/stat/2000-2005.png" alt="Photo of a Shiba Inu">
            </mat-card>
             
          </div>
          <div class="tky-padding-card   col col-xs-12 col-md-12 col-lg-12 col-xl-12 tky-full-width">
              <mat-card class="tky-full-width mat-elevation-z10">
                  <mat-card-title class="text-center"> Periodo 2006-2010</mat-card-title>
                  <mat-card-content>
                      <app-line-graphic     [case]="2" *ngIf="flags[0]"></app-line-graphic>
                  
                      <app-historic-graphic
                      [case]="2" 
                      *ngIf="flags[1]"
                      [barChartData]="barChartDataCase2"
                      [barChartLabels]="barChartLabelsCase2"
                      [doughnutChartLabels]="doughnutChartLabelsCase2"
                      [doughnutChartData]="doughnutChartDataCase2"
                      >   
                      </app-historic-graphic>
                      
                      <app-doughnut-graphic [case]="2" *ngIf="flags[2]"></app-doughnut-graphic>
                      <app-radar-graphic    [case]="2" *ngIf="flags[3]"></app-radar-graphic>
                      <app-pie-graphic      [case]="2" *ngIf="flags[4]"></app-pie-graphic>

          
                  </mat-card-content>
                </mat-card>
                <mat-card>
                    <img mat-card-image src="../../../../assets/imgs/stat/2006-2010.png" alt="Photo of a Shiba Inu">
                </mat-card>
          </div>
          <div class="tky-padding-card   col col-xs-12 col-md-12 col-lg-12 col-xl-12 tky-full-width">
              <mat-card class="tky-full-width mat-elevation-z10">
                  <mat-card-title class="text-center"> Periodo 2011-2012</mat-card-title>
                  <mat-card-content>
                      <app-line-graphic     [case]="3" *ngIf="flags[0]"></app-line-graphic>
                      <app-historic-graphic
                      [case]="3" 
                      *ngIf="flags[1]"
                      [barChartData]="barChartDataCase3"
                      [barChartLabels]="barChartLabelsCase3"
                      [doughnutChartLabels]="doughnutChartLabelsCase3"
                      [doughnutChartData]="doughnutChartDataCase3"
                      >   
                      </app-historic-graphic>

                      <app-doughnut-graphic [case]="3" *ngIf="flags[2]"></app-doughnut-graphic>
                      <app-radar-graphic    [case]="3" *ngIf="flags[3]"></app-radar-graphic>
                      <app-pie-graphic      [case]="3" *ngIf="flags[4]"></app-pie-graphic>
                  </mat-card-content>
                </mat-card>
                <mat-card>
                    <img mat-card-image src="../../../../assets/imgs/stat/2011-2012.png" alt="Photo of a Shiba Inu">
                </mat-card>
          </div>
          <div class="tky-padding-card  col col-xs-12 col-md-12 col-lg-12 col-xl-12 tky-full-width">
              <mat-card class=" tky-full-width mat-elevation-z10">
                  <mat-card-title class="text-center"> Periodo 2013-2014</mat-card-title>
                  <mat-card-content>
                      <app-line-graphic     [case]="4" *ngIf="flags[0]"></app-line-graphic>
                      <app-historic-graphic
                      [case]="4" 
                      *ngIf="flags[1]"
                      [barChartData]="barChartDataCase4"
                      [barChartLabels]="barChartLabelsCase4"
                      [doughnutChartLabels]="doughnutChartLabelsCase4"
                      [doughnutChartData]="doughnutChartDataCase4"
                      >   
                      </app-historic-graphic>
                      <app-doughnut-graphic [case]="4" *ngIf="flags[2]"></app-doughnut-graphic>
                      <app-radar-graphic    [case]="4" *ngIf="flags[3]"></app-radar-graphic>
                      <app-pie-graphic      [case]="4" *ngIf="flags[4]"></app-pie-graphic>
          
                  </mat-card-content>
                </mat-card>

                <mat-card>
                    <img mat-card-image src="../../../../assets/imgs/stat/2013-2014.png" alt="Photo of a Shiba Inu">
                </mat-card>
          </div>
        </div>
      </div>
</div>

<div class="container-fluid tky-padding-card text-center" *ngIf="!changeView">
    <h1>Análisis Estádistico Historico 
        <small>by Luis F. García</small>
        <small><button mat-raised-button class="tky-right" (click)="changeView=!changeView">HISTORICO</button></small>
      </h1>
      <app-historic-graphic
      [barChartData]="barChartDataGlobal"
      [barChartLabels]="barChartLabelsGlobal"
      >
          
                  
      </app-historic-graphic>
      
    
    <hr>
    <mat-card>
        <img mat-card-image src="../../../../assets/imgs/stat/total.png" alt="Photo of a Shiba Inu">
    </mat-card>
    <div class="container-fluid">
        <mat-card>
            <img mat-card-image src="../../../../assets/imgs/stat/summary.png" alt="Photo of a Shiba Inu">
        </mat-card>
    
    </div>
</div>

